clear
set more off
set mem 500m

*Generating 01_ETH_EXPFOOD.dta*
*---------------------------------

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des /*1,205,438*/
codebook HID  /*17,332 households*/

*Generating FD_B variable*
*---------------------------
gen FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1 & item3<=98] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=101 & item3<=198] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=201 & item3<=298] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=301 & item3<=398] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=401 & item3<=498] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=501 & item3<=598] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=601 & item3<=698] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=701 & item3<=798] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=801 & item3<=898] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=901 & item3<=998] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1001 & item3<=1098] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1101 & item3<=1198] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1201 & item3<=1298] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1301 & item3<=1398] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1401 & item3<=1498] 
replace FD_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1601 & item3<=1698] 

*Generating FD_P variable*
*----------------------------
gen FD_P=expend if type==2 & [source==1|source==7] & [item3>=1 & item3<=98] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=101 & item3<=198] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=201 & item3<=298] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=301 & item3<=398]
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=401 & item3<=498] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=501 & item3<=598] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=601 & item3<=698] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=701 & item3<=798] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=801 & item3<=898] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=901 & item3<=998] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=1001 & item3<=1098] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=1101 & item3<=1198] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=1201 & item3<=1298] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=1301 & item3<=1398] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=1401 & item3<=1498] 
replace FD_P=expend if type==2 & [source==1|source==7] & [item3>=1601 & item3<=1698] 

*Generating FDNONALC_B variable*
*----------------------------------
gen FDNONALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1501 & item3<=1504]
replace FDNONALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1506 & item3<=1598]
replace FDNONALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1701 & item3<=1798]
replace FDNONALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=3001 & item3<=3004]
replace FDNONALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & item3==3006


*Generating FDNONALC_P variable*
*----------------------------------
gen FDNONALC_P=expend if type==2 & [source==1|source==7]  & [item3>=1501 & item3<=1598]
replace FDNONALC_P=expend if type==2 & [source==1|source==7]  & [item3>=1701 & item3<=1798]
replace FDNONALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=3001 & item3<=3004]
replace FDNONALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & item3==3006

collapse (sum) FD_B FDNONALC_B FD_P FDNONALC_P , by (HID)

count  /*Total # of observations is 17,332*/
*-----------------------------------------------------------------------------------------------------------------

*Merging with 00_ETH_BASICINFO*
*--------------------------------
sort HID
merge  using 04_AGGDATA\00_ETH_BASICINFO, keep (RURURB)
tab _merge  /*_merge=1 (660 observations), _merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations*/

*Annualizing the variables*
*-----------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTFOOD variable*
*-------------------------------
egen TOTFOOD =rowtotal(FD_B FDNONALC_B FD_P FDNONALC_P)

*Labeling the variables*
*-------------------------
lab val FD_B FD_B 
label var FD_B "Total expenditure on purchased food excluding beverages, tobacco, catering and restaurant foods"

lab val FDNONALC_B FDNONALC_B
label var FDNONALC_B "Total expenditure on purchased non-alcoholic beverages"

lab val FD_P FD_P 
label var FD_P "Total value of foods other than purchased"

lab val FDNONALC_P FDNONALC_P 
label var FDNONALC_P "Total value of nonalcoholic beverages other than purchased"

lab val TOTFOOD TOTFOOD
label var TOTFOOD "Total food expenditure, sum of variables prefixed fd"

order HID RURURB FD_B FDNONALC_B FD_P FDNONALC_P TOTFOOD 

des /*number of observations is 16,672*/

sort HID

save "04_AGGDATA\01_ETH_EXPFOOD", replace
























