clear
set more off
set mem 500m

*Generating 02_ETH_EXPALCH.dta*
*-------------------------------

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des /*1,205,438*/

sort HID

codebook HID  /*17,332 households*/

*Generating FDALC_B variable*
*-----------------------------
gen FDALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & [item3>=1801 & item3<=1898] 
replace FDALC_B=expend if type==1 & [[source>=2 & source<=6] | [source>=8 & source<=16]] & item3==3005

*Generating FDALC_P variable*
*-----------------------------
gen FDALC_P=expend if type==2 & [source==1|source==7] & [item3>=1801 & item3<=1898] 
replace FDALC_P=expend if type==2 & [source==1|source==7] & item3==3005

*Generating TOBACCO variable*
*------------------------------
gen TOBACCO=expend if [type==1|type==2] & [source>=1 & source<=16] & [item3>=1901 & item3<=2098]

*Generating NARCOTICS variable*
*--------------------------------
gen NARCOTICS=expend if [type==1|type==2] & [source>=1 & source<=16] & item3==1505

collapse (sum)FDALC_B FDALC_P TOBACCO NARCOTICS, by (HID)

des /*17,332 observations*/
*-----------------------------------------------------------------------------------------------------

*Merging with 00_ETH_BASICINFO*
*--------------------------------
sort HID
merge HID using 04_AGGDATA\00_ETH_BASICINFO, keep (RURURB)
tab _merge  /*merge=1 (660 observations), _merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

des /*16,672 households*/

*Annualizing the variables*
*-----------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTALCH variable*
*-----------------------------
egen TOTALCH =rowtotal(FDALC_B FDALC_P TOBACCO NARCOTICS)

*Labeling the variables*
*---------------------------
lab val FDALC_B FDALC_B
label var FDALC_B "Total expenditure on purchased alcoholic beverages"

lab val FDALC_P FDALC_P
label var FDALC_P "Total value of alcoholic beverages other than purchased"

lab val TOBACCO TOBACCO 
label var TOBACCO "Total (expenditure on/value of)(tobacco/tobacco products)(purchased/received/produced)"

lab val NARCOTICS NARCOTICS
label var NARCOTICS "Total (expenditure on/value of)(narcotics/narcotics products)(purchased/received/produced)"

lab val TOTALCH TOTALCH
label var TOTALCH "Total expenditure on alcoholic beverages, tobacco, and narcotics)"

order HID RURURB FDALC_B FDALC_P TOBACCO NARCOTICS TOTALCH 

des /*16,672 observations*/

sort HID

save "04_AGGDATA\02_ETH_EXPALCH", replace










