clear
set more off
set mem 500m

*Generating 03_ETH_EXPCLTH.dta*
*------------------------------

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /* 1,205,438*/
codebook HID  /*17,332 households*/

*Generating HSCLOTH variable*
*------------------------------
gen HSCLOTH=expend if item3>=20101 & item3<=20498

*Generating HSFOOTW variable*
*------------------------------
gen HSFOOTW=expend if item3>=20501  & item3<=20598

collapse (sum)HSCLOTH HSFOOTW, by (HID)

des /*17,332 observations*/
*-----------------------------------------------------------------------------------------------------

*Merging with 00_ETH_BASICINFO*
*--------------------------------
sort HID
merge HID using "04_AGGDATA\00_ETH_BASICINFO.dta", keep (RURURB)
tab _merge  /*_merge=1 (660 observations),_merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

des /*16,672 observations (households)*/

*Annualizing the variables*
*---------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTCLTH variable*
*------------------------------
egen TOTCLTH =rowtotal(HSCLOTH HSFOOTW)

*Labeling the variables*
*------------------------
lab val HSCLOTH HSCLOTH
label var HSCLOTH "Total expenditure on clothing and its repair including gifted/self-produced"

lab val HSFOOTW HSFOOTW
label var HSFOOTW "Total expenditure on footware and its repair including gifted/self-produced"

lab val TOTCLTH TOTCLTH
label var TOTCLTH "Total expenditure on clothing and footware"

order HID RURURB HSCLOTH HSFOOTW TOTCLTH 

des /*number of observations is 16,672*/

sort HID

save "04_AGGDATA\03_ETH_EXPCLTH", replace
