clear
set more off
set mem 500m

*Generating 04_ETH_EXPHOUS.dta*
*----------------------------------

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des /*1,205,438 observations*/

sort HID
codebook HID  /*17,332 households*/

*Generating HSFURNI variable*
*----------------------------
gen HSFURNI=expend if item3>=40101 & expend<=40198

*Generating HSTEXTIL variable*
*-----------------------------
gen HSTEXTIL=expend if item3>=40201 & item3<=40298

*Generating HSAPPLIAN variable*
*---------------------------------
gen HSAPPLIAN=expend if item3>=40301 & item3<=40398
replace HSAPPLIAN=expend if item3==41004

*Generating HSUTENSIL variable*
*---------------------------------
gen HSUTENSIL=expend if item3>=40401 & item3<=40998

*Generating HSTOOLS variable*
*------------------------------
gen HSTOOLS=expend if item3>=41001 & item3<=41003
replace HSTOOLS=expend if item3>=41006 & item3<=41098
replace HSTOOLS=expend if [item3==30408|item3==30409|item3==30411|item3==30498]

*Generating HSSERV variable*
*------------------------------
gen HSSERV=expend if item3>=41101 & item3<=41298

collapse (sum)HSFURNI HSTEXTIL HSAPPLIAN HSUTENSIL HSTOOLS HSSERV, by (HID)

des /*17,332 observations*/
*------------------------------------------------------------------------------------

*Merging above variables with BASICINFO dataset*
*--------------------------------------------------
sort HID
merge HID using "04_AGGDATA\00_ETH_BASICINFO.dta", keep (RURURB)
tab _merge /*_merge=1 (660 observations),_merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations*/

*Annualizing the variables*
*-----------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTHOUS variable*
*-------------------------------

egen TOTFURN =rowtotal(HSFURNI HSTEXTIL HSAPPLIAN HSUTENSIL HSTOOLS HSSERV)

*Labeling the variables*
*-------------------------
lab val HSFURNI HSFURNI
label var HSFURNI "Expenditure on furniture and furnishings"

lab val HSTEXTIL HSTEXTIL
label var HSTEXTIL "Expenditure on household textiles"

lab val HSAPPLIAN HSAPPLIAN
label var HSAPPLIAN "Expenditure on household appliances"

lab val HSUTENSIL HSUTENSIL
label var HSUTENSIL "Expenditure on glassware, tableware, kitchenware, and household utensils"

lab val HSTOOLS HSTOOLS
label var HSTOOLS "Expenditure on household and garden tools and equipment" 

lab val HSSERV HSSERV
label var HSSERV "Expenditure on goods of routine household maintenance"

lab val TOTFURN TOTFURN
label var TOTFURN "Total expenditure on furnishing"

order HID RURURB HSFURNI HSTEXTIL HSAPPLIAN HSUTENSIL HSTOOLS HSSERV TOTFURN

des /*number of observations is 16,672 (households)*/

sort HID

save "04_AGGDATA\05_ETH_EXPFURN", replace





