clear
set more off
set mem 500m

*Generating 06_ETH_EXPHLTH.dta*

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /*1,205,438 observations*/

codebook HID  /*17,332 households*/

/*Genenrating HLMEDI variable*/
*------------------------------

gen HLMEDI=expend if item3>=50101 & item3<=50198

*Generating variable HLOUTP variable*
*--------------------------------------
gen HLOUTP=expend if item3>=50201 & item3<=50203
replace HLOUTP=expend if item3==50298
replace HLOUTP=expend if item3>=50301 & item3<=50303
replace HLOUTP=expend if item3==50398
replace HLOUTP=expend if item3>=50401 & item3<=50498

*Generating HOSP variable*
*----------------------------
gen HOSP=expend if [item3==50204|item3==50304]

collapse (sum)HLMEDI HLOUTP HOSP, by (HID)

des /*Total # of observations is 17,332 (households)*/
*-----------------------------------------------------------------------------------------------------

*Merging with 00_ETH_BASICINFO*
*---------------------------------
sort HID
merge HID using "04_AGGDATA\00_ETH_BASICINFO.dta", keep (RURURB)
tab _merge  /*_merge=1 (660 observations),_merge=3 (17,332 observations)*/
drop if _merge==1
drop _merge

des /* 16,672 observations*/

*Annualizing the variables*
*---------------------------
*expenditure values are already annualized in the dataset*


*Generating TOTHLTH variable*
*-------------------------------
egen TOTHLTH =rowtotal(HLMEDI HLOUTP)

*Labeling the variables*
*---------------------------
lab val HLMEDI HLMEDI
label var HLMEDI "Expenditure on medical products, appliances and equipment"

lab val HLOUTP HLOUTP
label var HLOUTP "Expenditure on outpatient services"

lab val HOSP HOSP
label var HOSP "Expenditure on hospitalization"

lab val TOTHLTH TOTHLTH
label var TOTHLTH "Total expenditure on health"

order HID RURURB HLMEDI HLOUTP HOSP TOTHLTH

des /*number of observations is 16,672*/

sort HID

save "04_AGGDATA\06_ETH_EXPHLTH", replace
















