clear
set more off
set mem 500m

*Generating 07_ETH_EXPTRSP.dta*

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /*initial number of observations is 1,205,438*/

codebook HID  /*17,332 households*/

*Generating VEHICLES variable*
*--------------------------------
gen VEHICLES=expend if [item3==60101|item3==60102]

*Generating TRFUEL variable*
*--------------------------------
gen TRFUEL=expend if item3==60105

*Generating TRPERSON variable*
*------------------------------
gen TRPERSON=expend if item3>=60103 & item3<=60104
replace TRPERSON=expend if item3>=60106 & item3<=60198

*Generating TRSERVE*
*--------------------
gen TRSERVE=expend if item3>=60201 & item3<=60298

collapse(sum)VEHICLES TRFUEL TRPERSON TRSERVE, by (HID)

count /*number of observations is 17,332*/
*-----------------------------------------------------------------------------------------

*Merging above variables with BASICINFO dataset*
*------------------------------------------------
sort HID
merge HID using "04_AGGDATA\00_ETH_BASICINFO.dta", keep (RURURB)
tab _merge /*_merge=1 (660 observations),_merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations*/

*Annualizing the variables*
*-----------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTTRSP variable*
*-------------------------------
egen TOTTRSP =rowtotal(TRFUEL TRPERSON TRSERVE)

*Labeling the variables*
*------------------------
lab val VEHICLES VEHICLES
label var VEHICLES "Purchase of vehicles"

lab val TRFUEL TRFUEL 
label var TRFUEL "Expenditure on fuels for transportation, such as petrol,diesel, etc..."

lab val TRPERSON TRPERSON
label var TRPERSON "Expenditure on personal transport equipment/repairs/chauffeurs etc."

lab val TRSERVE TRSERVE
label var TRSERVE "Expenditure on public transportation/airfare etc."

lab val TOTTRSP TOTTRSP
label var TOTTRSP "Total expenditure on transport"

order HID VEHICLES TRFUEL TRPERSON TRSERVE TOTTRSP

des /*number of observations is 16,672*/

sort HID

save "04_AGGDATA\07_ETH_EXPTRSP", replace



