clear
set more off
set mem 500m

*Generating 08_ETH_EXPCMNQ.dta*

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /*initial number of observations is 1,205,438*/

codebook HID  /*17,332 households*/

*Generating COMPOST variable*
*----------------------------
gen COMPOST=expend if item3==60303

*Generating COMSERVE variable*
*--------------------------------
gen COMSERVE=expend if [item3==60301|item3==60302|item3==60304|item3==60305|item3==60398]

collapse(sum)COMPOST COMSERVE, by (HID)

count /*number of observations is 17,332*/
*-----------------------------------------------------------------------------------------

*Merging with BASICINFO dataset*
*---------------------------------
sort HID
merge HID using "04_AGGDATA\00_ETH_BASICINFO.dta", keep (RURURB)
tab _merge /*_merge=1 (660 observations),_merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations*/

*Generating COMTEL variable*
*----------------------------
gen COMTEL=.

*Annualizing the variables*
*-----------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTTRSP variable*
*-----------------------------
egen TOTCMNQ =rowtotal(COMPOST COMTEL COMSERVE)

*Labeling the variables*
*------------------------
lab val COMPOST COMPOST
label var COMPOST "Expenditure on postal services"

lab val COMTEL COMTEL
label var COMTEL "Expenditure on telephone and telefax services"

lab val COMSERVE COMSERVE
label var COMSERVE "Expenditure on telephone, telefax and internet services"

lab val TOTCMNQ TOTCMNQ
label var TOTCMNQ "Total expenditure on communication"

order HID COMPOST COMTEL COMSERVE TOTCMNQ

des /*number of observations is 16,672 (hosueholds)*/

sort HID

save "04_AGGDATA\08_ETH_EXPCMNQ", replace









