clear
set more off
set mem 500m

*Generating 09_ETH_EXPRCRE.dta*

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /*initial number of observations is 1,205,438*/

codebook HID  /*17,332 households*/

*Generating RCAUDI variable*
*------------------------------
gen RCAUDI=expend if item3>=70102 & item3<=70198

*Generating RCPETS variable*
*---------------------------
gen RCPETS=expend if item3==70101

*Generating RCSERVE*
*--------------------
gen RCSERVE=expend if item3>=70201 & item3<=70298
replace RCSERVE=expend if item3==95015

*Generating RCNEWS*
*-------------------
gen RCNEWS=expend if item3>=70301 & item3<=70398

collapse(sum)RCAUDI RCPETS RCSERVE RCNEWS, by (HID)

count  /*number of observations is 17,332*/
*--------------------------------------------------------------------------------------

*Merging with file 00_ETH_BASICINFO*/
*-------------------------------------
sort HID
merge HID using 04_AGGDATA\00_ETH_BASICINFO, keep (RURURB)
tab _merge  /*_merge=1 (660 observations),_merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations)*/

*Generating DURRC*
*------------------
gen DURRC=.

*Generating RCHOLID variable*
*-----------------------------
gen RCHOLID=.

*Annualizing the data*
*----------------------
*expenditure values are already annualized in the dataset*

*Generating TOTRCRE*
*----------------------
egen TOTRCRE =rowtotal(RCAUDI RCPETS RCSERVE RCNEWS RCHOLID)

*Labeling the variables*
*---------------------------
lab val RCAUDI RCAUDI
label var RCAUDI "Expenditure on audio-visual, photographic and information processing equipment"

lab val DURRC DURRC
label var DURRC "Expenditure on other major durables for recreation and culture"

lab val RCPETS RCPETS
label var RCPETS "Expenditure on other recreational items and equipment, gardens and pets"

lab val RCSERVE RCSERVE
label var RCSERVE "Expenditure on recreational and cultural services, such as movies etc."

lab val RCNEWS RCNEWS
label var RCNEWS "Expenditure on newspapers, books and stationary of non-educational purpose"

lab val RCHOLID RCHOLID
label var RCHOLID "Expenditure on package holidays"

lab val TOTRCRE TOTRCRE
label var TOTRCRE "Total expenditure on recreation"

order HID RURURB RCAUDI DURRC RCPETS RCSERVE RCNEWS RCHOLID

count /*number of observations is 16,672 (households)*/

sort HID

save "04_AGGDATA\09_ETH_EXPRCRE", replace


