clear
set more off
set mem 500m

*Generating 10_ETH_EXPEDUC.dta*

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /*initial number of observations is 1,205,438*/

codebook HID  /*17,332 households*/

*Generating EDUNDEFIN variable*
*--------------------------------
gen EDUNDEFIN=expend if [item3>=70401 & item3<=70407] | [item3>=70416 & item3<=70498]

*Generating FEES variable*
*--------------------------
gen FEES=expend if item3>=70408 & item3<=70415 

collapse EDUNDEFIN FEES, by (HID)

des /*17,332 observations (households)*/
*------------------------------------------------------------------------------------------

*Merging variable from file 00_ETH_BASICINFO*
*-----------------------------------------------
sort HID
merge HID using  04_AGGDATA\00_ETH_BASICINFO, keep (RURURB)
tab _merge  /*_merge=1 (660 observations),_merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations)*/

*Generating EDPRIMAR variable*
*------------------------------
gen EDPRIMAR=.

*Generating EDSECOND variable*
*--------------------------------
gen EDSECOND=.

*Generating EDPOSTSEC variable*
*--------------------------------
gen EDPOSTSEC=.

*Generating EDTERTIAR variable*
*--------------------------------
gen EDTERTIAR=.

*Annualizing variables*
*-----------------------
*expenditure values are already annualized in the dataset*

*Generating TOTEDUC variable*
*-------------------------------
egen TOTEDUC=rowtotal(EDPRIMAR EDSECOND EDPOSTSEC EDTERTIAR EDUNDEFIN FEES)

*Labeling the variables*
*-------------------------
lab val EDPRIMAR EDPRIMAR
label var EDPRIMAR "Expenditure on pre-primary and primary education"

lab val EDSECOND EDSECOND
label var EDSECOND "Expenditure on secondary education"

lab val EDPOSTSEC EDPOSTSEC
label var EDPOSTSEC "Expenditure on post-secondary but non-tertiary education"

lab val EDTERTIAR EDTERTIAR
label var EDTERTIAR "Expenditure on tertiary education"

lab val EDUNDEFIN EDUNDEFIN
label var EDUNDEFIN "Expenditure on education cannot be defined"

lab val FEES FEES
label var FEES "Expenditure on education fees"

lab val TOTEDUC TOTEDUC
label var TOTEDUC "Total expenditure on education"

order HID RURURB EDPRIMAR EDSECOND EDPOSTSEC EDTERTIAR EDUNDEFIN FEES TOTEDUC

count  /*number of observations is 16,672 (households)*/

sort HID

save "04_AGGDATA\10_ETH_EXPEDUC", replace








