clear
set more off
set mem 500m

*Generating 11_ETH_EXPHOTL.dta*

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /*initial number of observations is 1,205,438*/

codebook HID  /*17,332 households*/

*no items in dataset to capture expenditures on hotels and restuarants*
*therefore, HOTCAT and HOTACC variables generated with all missing observations*

collapse item3, by (HID)

count /*number of observations is 17,332*/
*------------------------------------------------------------------------------------------

/*Merging variable from file 00_ETH_BASICINFO*/
*-------------------------------------------------
sort HID
merge HID using  04_AGGDATA\00_ETH_BASICINFO, keep (RURURB)
tab _merge  /*_merge=1 (660 observations),_merge=3 (17,332 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations)*/

*Generating HOTCAT variable*
*----------------------------
gen HOTCAT=. 

*Generating HOTACC variable*
*----------------------------
gen HOTACC=.

*Annualizing variables*
*-----------------------
*expenditure values are already annualized in the dataset*

*Generating TOTHOTL*
*----------------------
egen TOTHOTL=rowtotal (HOTCAT HOTACC)

*Labeling the variables*
*---------------------------
lab val HOTCAT HOTCAT
label var HOTCAT "Expenditure on catering services, including eating out"

lab val HOTACC HOTACC
label var HOTACC "Expenditure on accommodation services"

lab val TOTHOTL TOTHOTL
label var TOTHOTL "Total expenditure on restaurants and hotel"

order HID RURURB HOTCAT HOTACC TOTHOTL

count /*number of observations is 16,672 (households)*/

sort HID

save "04_AGGDATA\11_ETH_EXPHOTL", replace



