clear
set more off
set mem 500m

*Generating 10_ETH_EXPEDUC.dta*

cd "C:\AFRCE\Ethiopia 2000"
use "02_CLEANDATA\hhice.dta", clear

des  /*initial number of observations is 1,205,438*/

codebook HID  /*17,332 households*/

*Generating MISPERSN variable*
*--------------------------------
gen MISPERSN=expend if item3>=80101 & item3<=80198

*Generating MISPEREFF variable*
*---------------------------------
gen MISPEREFF=expend if item3>=80201 & item3<=80298
replace MISPEREFF=expend if item3>=80301 & item3<=80398

*Generating MISINSUR variable*
*------------------------------
gen MISINSUR=expend if item3==95004

*Generating MISFINAN variable*
*--------------------------------
gen MISFINAN=expend if item3>=90201 & item3<=90298

*Generating MISOTHER variable*
*--------------------------------
gen MISOTHER=expend if item3>=90301 & item3<=90304
replace MISOTHER=expend if [item3==90306|item3==90398]
replace MISOTHER=expend if item3==95014
replace MISOTHER=expend if item3>=41301 & item3<=41398
replace MISOTHER=expend if [item3==3098|item3==19190]

collapse (sum) MISPERSN MISPEREFF MISINSUR MISFINAN MISOTHER, by (HID)

des/*Number of observations is 16,672*/
*------------------------------------------------------------------------------------

*Merging variable from file 00_ETH_BASICINFO*
*---------------------------------------------
sort HID
merge HID using 04_AGGDATA\00_ETH_BASICINFO, keep (RURURB)
tab _merge  /*_merge=1 (660 observations),_merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge

count /*16,672 observations)*/

*Generating MISPROST variable*
*-------------------------------
gen MISPROST=.   

*Generating MISSPROT variable*
*--------------------------------
gen MISSPROT=.

*Annualizing the variables*
*-----------------------------
*expenditure values are already annualized in the dataset*

*Generating TOTMISC variable*
*--------------------------------
egen TOTMISC=rowtotal(MISPERSN MISPROST MISPEREFF MISSPROT MISINSUR MISFINAN MISOTHER)

/*Labeling the variables*/
*---------------------------
lab val MISPROST MISPROST
label var MISPROST "Expenditure on prostitution"

lab val MISPEREFF MISPEREFF
label var MISPEREFF "Expenditure on personal effects not mentioned elsewhere"

lab val MISSPROT MISSPROT
label var MISSPROT "Expenditure on social protection"

lab val MISINSUR MISINSUR
label var MISINSUR "Expenditure on insurance, including housing,health etc."

lab val MISFINAN MISFINAN
label var MISFINAN "Expenditure on fianancial services"

lab val MISOTHER MISOTHER
label var MISOTHER "Total expenditure on other services not mentioned elsewhere"

lab val MISPERSN MISPERSN
label var MISPERSN "Total expenditure on personal care"

lab val TOTMISC TOTMIS
label var TOTMISC "Total miscelleneous expenditure"

order HID RURURB MISPERSN MISPROST MISPEREFF MISSPROT MISINSUR MISFINAN MISOTHER TOTMISC

des /*number of observations is 16,672 (households)*/

sort HID

save "04_AGGDATA\12_ETH_EXPMISC", replace





