*Generating ETH_2000_CLEANDATA*
*-------------------------------
clear
set mem 200m
set more off

cd "C:\AFRCE\Ethiopia 2000"

*Checking for duplicates*
*--------------------------

use "01_RAWDATA\Data\Data_STATA7\hhice.dta", clear
des /*1,205,438 observations*/
duplicates r  /*1 duplicate*/
duplicates drop
save "02_CLEANDATA\hhice.dta",replace
clear

use "01_RAWDATA\Data\Data_STATA7\ur20_1st.dta", clear
des /*123,735 observations*/
duplicates r  /*no duplicates*/
save "02_CLEANDATA\ur20_1st.dta",replace
clear

use "01_RAWDATA\Data\Data_STATA7\ur20_2nd.dta", clear
des /*25,917 observations*/
duplicates r   /*no duplicates*/
save "02_CLEANDATA\ur20_2nd.dta",replace
clear
*-------------------------------------------------------------------------------------

*Generating HID variable in all datasets*
*----------------------------------------

use "01_RAWDATA\Data\Data_STATA7\hhice.dta", clear
des /*1,205,438 observations*/
tostring c102, gen(c102_STR) format(%02.0f)
tostring c103, gen(c103_STR) format(%02.0f)
tostring c104, gen(c104_STR) format(%02.0f)
tostring c108, gen(c108_STR) format(%02.0f)
tostring c109, gen(c109_STR) format(%02.0f)
tostring c105, gen(c105_STR) format(%01.0f)
tostring c106, gen(c106_STR) format(%02.0f)
tostring c107, gen(c107_STR) format(%03.0f)
gen HID= c102_STR+c103_STR+c104_STR+c105_STR+c106_STR+c107_STR+c108_STR+c109_STR
codebook HID  /*17,332 households*/
sort HID
save "02_CLEANDATA\hhice.dta",replace

use "01_RAWDATA\Data\Data_STATA7\ur20_1st.dta", clear
des /*123,735 observations*/
tostring killil, gen(killil_STR) format(%02.0f)
tostring zone, gen(zone_STR) format(%02.0f)
tostring wereda, gen(wereda_STR) format(%02.0f)
tostring town, gen(town_STR) format(%01.0f)
tostring keftegna, gen(keftegna_STR) format(%02.0f)
tostring kebele, gen(kebele_STR) format(%03.0f)
tostring ea, gen(ea_STR) format(%02.0f)
tostring hhld_id, gen(hhld_id_STR) format(%02.0f)
gen HID= killil_STR+zone_STR+wereda_STR+town_STR+keftegna_STR+kebele_STR+ea_STR+hhld_id_STR
codebook HID  /*25,917 households*/
sort HID
save "02_CLEANDATA\ur20_1st.dta",replace

use "01_RAWDATA\Data\Data_STATA7\ur20_2nd.dta", clear
des /*25,917 observations (households)*/
tostring killil, gen(killil_STR) format(%02.0f)
tostring zone, gen(zone_STR) format(%02.0f)
tostring wereda, gen(wereda_STR) format(%02.0f)
tostring town, gen(town_STR) format(%01.0f)
tostring keftegna, gen(keftegna_STR) format(%02.0f)
tostring kebele, gen(kebele_STR) format(%03.0f)
tostring ea, gen(ea_STR) format(%02.0f)
tostring hhld_id, gen(hhld_id_STR) format(%02.0f)
gen HID= killil_STR+zone_STR+wereda_STR+town_STR+keftegna_STR+kebele_STR+ea_STR+hhld_id_STR
codebook HID  /*25,917 households*/
sort HID
save "02_CLEANDATA\ur20_2nd.dta",replace
*------------------------------------------------------------------------------

*Merging dataset from HICES with all of the datasets from WMS*
*--------------------------------------------------------------
clear
set mem 500m
use "02_CLEANDATA\hhice.dta"
keep HID item3
collapse item3, by (HID)
drop item3
codebook HID  /*17,332 households*/
sort HID
save "02_CLEANDATA\hhice_TEMP.dta",replace

use "02_CLEANDATA\ur20_1st.dta"
codebook HID  /*25,917 households*/
sort HID
merge HID using "02_CLEANDATA\hhice_TEMP.dta"
tab _merge  /*_merge=1 (44,773 observations), _merge=2 (660 observations), _merge=3 (78,962 observations)*/
drop if _merge==1
drop _merge
des /*79,622 observations*/
codebook HID  /*17,332 households*/
sort HID
save "02_CLEANDATA\ur20_1st.dta",replace

use "02_CLEANDATA\ur20_2nd.dta"
codebook HID  /*25,917 households*/
sort HID
merge HID using "02_CLEANDATA\hhice_TEMP.dta"
tab _merge  /*_merge=1 (9,245 observations), _merge=2 (660 observations), _merge=3 (16,672 observations)*/
drop if _merge==1
drop _merge
des /*17,332 observations*/
codebook HID  /*17,332 households*/
sort HID
save "02_CLEANDATA\ur20_2nd.dta",replace

erase "02_CLEANDATA\hhice_TEMP.dta"
*------------------------------------------------------------------------------------


